package testutil

import (
	"context"
	"tercul/internal/domain"
)

type MockWeaviateWrapper struct {
	IndexWorkFunc func(ctx context.Context, work *domain.Work, content string) error
}

func (m *MockWeaviateWrapper) IndexWork(ctx context.Context, work *domain.Work, content string) error {
	if m.IndexWorkFunc != nil {
		return m.IndexWorkFunc(ctx, work, content)
	}
	return nil
}
